← PHP

PHP 5.2.14 - A última versão do 5.2

Lida 5572 vezes

Offline

marsupillami 
Equipa
Mensagens 850 Gostos 4
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

Foi lançada recentemente a versão 5.2.14 do PHP 5.2, corrigindo cerca de 60 bugs. Esta é a ultima versão do ramo 5.2 a ser lançada. Curioso ver no entanto como, mais de 95% dos sites ainda correm sobre 5.2 e grande parte deles nem está preparado para correr sobre o 5.3 (que sofreu também agora uma actualização para 5.3.3).

Então e meus amigos, como vão os vossos sites? Já está tudo preparadinho e testado para o 5.3? =) Parece-me que a comunidade PHP não está a incomodar-se muito a migrar as suas aplicações para a nova versão.

Mais infos: http://pt.php.net/migration53
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Já tentei colocar uma maquina em 5.3 e muitos scripts rebentaram... é o que da ninguém se preocupar em actualizar scripts :(
Offline

marsupillami 
Equipa
Mensagens 850 Gostos 4
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

Pois, actualizar numa máquina é impossível, tem mesmo de se colocar uma máquina limpa com o 5.3. São algumas as funções muito utilizadas que se tornaram "deprecated".  O mysql_db_query, ereg e split são as maiores dores de cabeça, pois pelo menos por aqui utilizava bastante. Tive de andar nos "find and replaces" e depois a testar tudo.

Supostamente este upgrade para 5.3 será uma pré-adaptação dos scripts para o PHP6.
Offline

anjo2 
Membro
Mensagens 3020 Gostos 0
Troféus totais: 31
Trófeus: (Ver todos)
Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4 Level 3 Level 2

Por ser deprecated não vai deixar de funcionar, e os warnings podem-se ocultar, no entanto parece-me que o php5.3 está cheio de bugs, ninguém teve problemas com o sqlite e pdo?

O php6 parece-me pouco mais do que utf-8 based, será uma boa evolução, mas de novo não vai acrescentar tanto como a passagem do php4 para php5.

Eu acho que existe ainda um grande problema, grande parte dos programadores de php aprenderam editando scripts já feitos, e a utilização de classes que é o que mais tem evoluído é muito pouco usada ainda, mesmo em CMS bastante conhecidos, o que acaba por dificultar a descoberta dos bugs relativamente à programação com objectos no php.
Offline

marsupillami 
Equipa
Mensagens 850 Gostos 4
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

Sim, pode ser desactivado, no entanto, se está em deprecated significa que no PHP6 simplesmente não funcionará.

A transição do PHP4 para o 5 foi agressiva, daí os responsáveis pelo desenvolvimento do PHP subdividirem esta migração em duas fases (5.2 > 5.3 e 5.3 > 6).

Sim, efectivamente o potencial de programação orientada a objectos aperfeiçoado no 5 ainda não é aproveitado por grande maioria. Julgo que isso também resulta um pouco do facto de grande maioria das pessoas que desenvolvem em PHP iniciaram-se sob auto-aprendizagem,  não tendo antecedentes de algoritmia e engenharia de software, pelo que adoptam o paradigma de mais simples compreensão.
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Saiu esta semana o 5.2.15 com fixs de segurança e a 2 dias saiu o 5.2.16 corrigindo problemas do .15

http://www.php.net/ChangeLog-5.php#5.2.15
http://www.php.net/ChangeLog-5.php#5.2.16

Guia de migração para 5.3 em http://pt2.php.net/migration53

PS. Isto vai ser bonito vai vai..
Offline

dardevelin 
Membro
Mensagens 249 Gostos 0
Troféus totais: 21
Trófeus: (Ver todos)
Linux User Super Combination Combination Topic Starter Poll Voter Level 4 Level 3 Level 2 Level 1 100 Posts

Já estou a sentir problemas a chegarem, pois sites com wordpress ( dores de cabeça ) plugins desactualizados and many many others
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Se os problemas fossem wordpress que se actualizam com 1 clique (plugins talvez)...
Eu estou é preocupado é com sites e scripts ainda do tempo do fim do PHP4 que foram levando remendos e afins..
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter